"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const redis_smq_1 = require("redis-smq");
const supertest_1 = __importDefault(require("supertest"));
const vitest_1 = require("vitest");
const create_queue_js_1 = require("../../../../tests/common/create-queue.js");
const publish_message_js_1 = require("../../../../tests/common/publish-message.js");
(0, vitest_1.describe)('getMessageStatusController', () => {
    (0, vitest_1.it)('HTTP 200 OK', () => __awaiter(void 0, void 0, void 0, function* () {
        var _a;
        yield (0, create_queue_js_1.createQueue)('my-queue');
        const [messageId] = yield (0, publish_message_js_1.publishMessage)('my-queue');
        const request = (0, supertest_1.default)('http://127.0.0.1:7210');
        const response1 = yield request.get(`/api/v1/messages/${messageId}/status`);
        (0, vitest_1.expect)(response1.status).toEqual(200);
        (0, vitest_1.expect)((_a = response1.body) === null || _a === void 0 ? void 0 : _a.data).toEqual(redis_smq_1.EMessagePropertyStatus.PENDING);
    }));
});
//# sourceMappingURL=getMessageStatusController.test.js.map