import { IRedisClient } from 'redis-smq-common';
export declare function getRedisClientInstance(): Promise<{
    validateRedisServerSupportAsync: (() => Promise<undefined>) | (() => Promise<void>);
    setAsync: ((key: string, value: string, options: {
        expire?: {
            mode: "EX" | "PX";
            value: number;
        } | undefined;
        exists?: "NX" | "XX" | undefined;
    }) => Promise<null>) | ((key: string, value: string, options: {
        expire?: {
            mode: "EX" | "PX";
            value: number;
        } | undefined;
        exists?: "NX" | "XX" | undefined;
    }) => Promise<string>);
    zaddAsync: ((key: string, score: number, member: string) => Promise<string>) | ((key: string, score: number, member: string) => Promise<number>);
    watchAsync: (args: string[]) => Promise<string>;
    unwatchAsync: () => Promise<string>;
    sismemberAsync: (key: string, member: string) => Promise<number>;
    zcardAsync: (key: string) => Promise<number>;
    zrangeAsync: (key: string, min: number, max: number) => Promise<string[]>;
    zrevrangeAsync: (key: string, min: number, max: number) => Promise<string[]>;
    zrangebyscoreAsync: (key: string, min: string | number, max: string | number, offset: number, count: number) => Promise<string[]>;
    smembersAsync: (key: string) => Promise<string[]>;
    sscanAsync: (key: string, cursor: string, options: {
        MATCH?: string | undefined;
        COUNT?: number | undefined;
    }) => Promise<{
        cursor: string;
        items: string[];
    }>;
    sscanAllAsync: (key: string, options: {
        MATCH?: string | undefined;
        COUNT?: number | undefined;
    }) => Promise<string[]>;
    saddAsync: (key: string, member: string) => Promise<number>;
    sremAsync: (key: string, member: string) => Promise<number>;
    hgetallAsync: (key: string) => Promise<Record<string, string>>;
    hscanAsync: (key: string, cursor: string, options: {
        MATCH?: string | undefined;
        COUNT?: number | undefined;
    }) => Promise<{
        cursor: string;
        result: Record<string, string>;
    }>;
    hscanAllAsync: (key: string, options: {
        MATCH?: string | undefined;
        COUNT?: number | undefined;
    }) => Promise<Record<string, string>>;
    hgetAsync: ((key: string, field: string) => Promise<null>) | ((key: string, field: string) => Promise<string>);
    hsetAsync: (key: string, field: string, value: string | number) => Promise<number>;
    hdelAsync: (key: string, fields: string | string[]) => Promise<number>;
    lrangeAsync: (key: string, start: number, stop: number) => Promise<string[]>;
    hkeysAsync: (key: string) => Promise<string[]>;
    hlenAsync: (key: string) => Promise<number>;
    brpoplpushAsync: ((source: string, destination: string, timeout: number) => Promise<null>) | ((source: string, destination: string, timeout: number) => Promise<string>);
    rpoplpushAsync: ((source: string, destination: string) => Promise<null>) | ((source: string, destination: string) => Promise<string>);
    zpoprpushAsync: ((source: string, destination: string) => Promise<null>) | ((source: string, destination: string) => Promise<string>);
    zscanAsync: (key: string, cursor: string, options: {
        MATCH?: string | undefined;
        COUNT?: number | undefined;
    }) => Promise<{
        cursor: string;
        items: string[];
    }>;
    lpoprpushAsync: ((source: string, destination: string) => Promise<null>) | ((source: string, destination: string) => Promise<string>);
    zrangebyscorewithscoresAsync: (source: string, min: number, max: number) => Promise<Record<string, string>>;
    zremAsync: (source: string, id: string) => Promise<number>;
    rpopAsync: ((key: string) => Promise<null>) | ((key: string) => Promise<string>);
    lremAsync: (key: string, count: number, element: string) => Promise<number>;
    publishAsync: (channel: string, message: string) => Promise<number>;
    flushallAsync: () => Promise<string>;
    loadScriptAsync: (script: string) => Promise<string>;
    evalshaAsync: (hash: string, args: string | number | (string | number)[]) => Promise<unknown>;
    getAsync: ((key: string) => Promise<null>) | ((key: string) => Promise<string>);
    delAsync: (key: string | string[]) => Promise<number>;
    llenAsync: (key: string) => Promise<number>;
    lmoveAsync: ((source: string, destination: string, from: "LEFT" | "RIGHT", to: "LEFT" | "RIGHT") => Promise<null>) | ((source: string, destination: string, from: "LEFT" | "RIGHT", to: "LEFT" | "RIGHT") => Promise<string>);
    zremrangebyscoreAsync: (source: string, min: string | number, max: string | number) => Promise<number>;
    hmgetAsync: (source: string, keys: string[]) => Promise<(string | null)[]>;
    haltAsync: (() => Promise<undefined>) | (() => Promise<void>);
    shutdownAsync: (() => Promise<undefined>) | (() => Promise<void>);
    getInfoAsync: () => Promise<string>;
    updateServerVersionAsync: (() => Promise<undefined>) | (() => Promise<void>);
    loadScriptsAsync: (() => Promise<undefined>) | (() => Promise<void>);
    runScriptAsync: (scriptName: string, keys: (string | number)[], args: (string | number)[]) => Promise<unknown>;
    onAsync: ((event: keyof import("redis-smq-common").TRedisClientEvent) => Promise<undefined>) | ((event: keyof import("redis-smq-common").TRedisClientEvent) => Promise<string>);
    onceAsync: ((event: keyof import("redis-smq-common").TRedisClientEvent) => Promise<undefined>) | ((event: keyof import("redis-smq-common").TRedisClientEvent) => Promise<string>);
    removeListenerAsync: ((event: keyof import("redis-smq-common").TRedisClientEvent) => Promise<undefined>) | ((event: keyof import("redis-smq-common").TRedisClientEvent) => Promise<string>);
} & IRedisClient>;
export declare function shutdownRedisClient(): Promise<void>;
//# sourceMappingURL=redis-client.d.ts.map