"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.shutdownRedisClient = exports.getRedisClientInstance = void 0;
const bluebird_1 = __importDefault(require("bluebird"));
const redis_smq_common_1 = require("redis-smq-common");
const config_js_1 = require("./config.js");
const { promisify, promisifyAll } = bluebird_1.default;
let redisClient = null;
const createRedisClientAsync = promisify(redis_smq_common_1.createRedisClient);
function getRedisClientInstance() {
    return __awaiter(this, void 0, void 0, function* () {
        if (!redisClient) {
            const conf = (config_js_1.config === null || config_js_1.config === void 0 ? void 0 : config_js_1.config.redis) || { client: redis_smq_common_1.ERedisConfigClient.IOREDIS };
            redisClient = yield createRedisClientAsync(conf);
        }
        return promisifyAll(redisClient);
    });
}
exports.getRedisClientInstance = getRedisClientInstance;
function shutdownRedisClient() {
    return __awaiter(this, void 0, void 0, function* () {
        if (redisClient) {
            yield promisifyAll(redisClient).haltAsync();
        }
    });
}
exports.shutdownRedisClient = shutdownRedisClient;
//# sourceMappingURL=redis-client.js.map