"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const redis_smq_1 = require("redis-smq");
const vitest_1 = require("vitest");
const config_js_1 = require("./common/config.js");
const redis_client_js_1 = require("./common/redis-client.js");
const start_api_server_js_1 = require("./common/start-api-server.js");
(0, vitest_1.beforeAll)(() => __awaiter(void 0, void 0, void 0, function* () {
    yield (0, start_api_server_js_1.startApiServer)();
}));
(0, vitest_1.afterAll)(() => __awaiter(void 0, void 0, void 0, function* () {
    yield (0, start_api_server_js_1.stopApiServer)();
    yield (0, redis_client_js_1.shutdownRedisClient)();
}));
(0, vitest_1.beforeEach)(() => __awaiter(void 0, void 0, void 0, function* () {
    const redis = yield (0, redis_client_js_1.getRedisClientInstance)();
    yield redis.flushallAsync();
    redis_smq_1.Configuration.reset();
    redis_smq_1.Configuration.getSetConfig(config_js_1.config);
}));
(0, vitest_1.afterEach)(() => __awaiter(void 0, void 0, void 0, function* () { return void 0; }));
//# sourceMappingURL=setup.js.map