import { EMessagePropertyStatus } from 'redis-smq';
import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { createQueue } from '../../../../tests/common/create-queue.js';
import { publishMessage } from '../../../../tests/common/publish-message.js';
describe('getMessageStatusController', () => {
    it('HTTP 200 OK', async () => {
        await createQueue('my-queue');
        const [messageId] = await publishMessage('my-queue');
        const request = supertest('http://127.0.0.1:7210');
        const response1 = await request.get(`/api/v1/messages/${messageId}/status`);
        expect(response1.status).toEqual(200);
        expect(response1.body?.data).toEqual(EMessagePropertyStatus.PENDING);
    });
});
//# sourceMappingURL=getMessageStatusController.test.js.map