import supertest from 'supertest';
import { describe, expect, it } from 'vitest';
import { createQueue } from '../../../../tests/common/create-queue.js';
import { publishAndAcknowledgeMessage } from '../../../../tests/common/publish-and-acknowledge-message.js';
import { publishAndDeadLetterMessage } from '../../../../tests/common/publish-and-dead-letter-message.js';
describe('countQueueMessagesByStatusController', () => {
    it('HTTP 200 OK', async () => {
        const { queue } = await createQueue('my-queue');
        await publishAndDeadLetterMessage(queue);
        await publishAndAcknowledgeMessage(queue);
        const request = supertest('http://127.0.0.1:7210');
        const response1 = await request.get(`/api/v1/namespaces/${queue.ns}/queues/${queue.name}/total-messages/stats`);
        expect(response1.status).toEqual(200);
        expect(response1.body?.data).toEqual({
            acknowledged: 1,
            deadLettered: 1,
            pending: 0,
            scheduled: 0,
        });
    });
});
//# sourceMappingURL=countQueueMessagesByStatusController.test.js.map