import bluebird from 'bluebird';
import { EQueueDeliveryModel, EQueueType, Queue, } from 'redis-smq';
const { promisifyAll } = bluebird;
export async function createQueue(queue, queueType = EQueueType.LIFO_QUEUE, deliveryModel = EQueueDeliveryModel.POINT_TO_POINT) {
    const queueInstance = promisifyAll(new Queue());
    const r = await queueInstance.saveAsync(queue, queueType, deliveryModel);
    await queueInstance.shutdownAsync();
    return r;
}
//# sourceMappingURL=create-queue.js.map