import bluebird from 'bluebird';
import { EMessagePriority, Producer, ProducibleMessage, } from 'redis-smq';
const { promisifyAll } = bluebird;
export async function publishMessage(queue, priorityQueue = false) {
    const producer = promisifyAll(new Producer());
    await producer.runAsync();
    const message = new ProducibleMessage();
    message.setBody({ hello: 'world' }).setQueue(queue);
    if (priorityQueue)
        message.setPriority(EMessagePriority.HIGHEST);
    const ids = await producer.produceAsync(message);
    await producer.shutdownAsync();
    return ids;
}
//# sourceMappingURL=publish-message.js.map