import bluebird from 'bluebird';
import { createRedisClient, ERedisConfigClient, } from 'redis-smq-common';
import { config } from './config.js';
const { promisify, promisifyAll } = bluebird;
let redisClient = null;
const createRedisClientAsync = promisify(createRedisClient);
export async function getRedisClientInstance() {
    if (!redisClient) {
        const conf = config?.redis || { client: ERedisConfigClient.IOREDIS };
        redisClient = await createRedisClientAsync(conf);
    }
    return promisifyAll(redisClient);
}
export async function shutdownRedisClient() {
    if (redisClient) {
        await promisifyAll(redisClient).haltAsync();
    }
}
//# sourceMappingURL=redis-client.js.map