import bluebird from 'bluebird';
import { Producer, ProducibleMessage } from 'redis-smq';
const { promisifyAll } = bluebird;
export async function scheduleMessage(queue) {
    const producer = promisifyAll(new Producer());
    await producer.runAsync();
    const message = new ProducibleMessage();
    message.setBody({ hello: 'world' }).setQueue(queue).setScheduledDelay(15000);
    const ids = await producer.produceAsync(message);
    await producer.shutdownAsync();
    return ids;
}
//# sourceMappingURL=schedule-message.js.map