import { Configuration } from 'redis-smq';
import { afterAll, afterEach, beforeAll, beforeEach } from 'vitest';
import { config } from './common/config.js';
import { getRedisClientInstance, shutdownRedisClient, } from './common/redis-client.js';
import { startApiServer, stopApiServer } from './common/start-api-server.js';
beforeAll(async () => {
    await startApiServer();
});
afterAll(async () => {
    await stopApiServer();
    await shutdownRedisClient();
});
beforeEach(async () => {
    const redis = await getRedisClientInstance();
    await redis.flushallAsync();
    Configuration.reset();
    Configuration.getSetConfig(config);
});
afterEach(async () => void 0);
//# sourceMappingURL=setup.js.map